# Interface GmfFunctionalities

interface GmfFunctionalities {
default_basemap: string[];
open_panel: string[];
preset_layer_filter: string[];
}

- Defined in src/themes.js:206

#####
Index

### Properties

default_basemap
open_panel
preset_layer_filter

## Properties

### default_basemap

default_basemap: string[]

The default base map.

- Defined in src/themes.js:207

### open_panel

open_panel: string[]

When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

- Defined in src/themes.js:208

### preset_layer_filter

preset_layer_filter: string[]

Name of the layer (data source) that should be toggled in the filter tool upon loading an application. Note: although this is a list, only one can be defined.

- Defined in src/themes.js:211

Generated using TypeDoc